Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionDescriptionDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.VersionDescriptionDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class VersionDescriptionDefinition

extends PublicObjectDefinition

The VersionDescriptionDefinition class is used to construct a VersionDescription object. The default class for this definition is VERSIONDESCRIPTION.

VersionDescriptionsDefinitions are used for almost (if not all) versioning operations, for example, Branching.

See Also:
  `VersionSeriesDefinition`, `FamilyDefinition`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`VersionDescriptionDefinition(LibrarySessionInterface session)` Constructs a Definition explicitly capturing the session.
`VersionDescriptionDefinition(LibrarySessionInterface session, java.lang.String className)` Constructs a Definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`boolean` | `getNewVersionBasedOn()` Returns the value of the NewVersionBasedOn flag.
`boolean` | `getOwnerBasedOnPublicObjectOption()` This returns true if the Owner of this VersionDescription will be same as owner of PublicObject that is associated with it.
`PublicObject` | `getPublicObject()` Deprecated. CM SDK 10gR2: use getPublicObjectValue()
`PublicObjectDefinition` | `getPublicObjectDefinition()` Get the PublicObject definition for the new VersionDescription.
`AttributeValue` | `getPublicObjectValue()` Returns the previously specified PublicObject, or null if no value was specified.
`VersionSeriesDefinition` | `getVersionSeriesDefinition()` Returns the VersionSeries definition, or null if none specified.
`void` | `setNewVersionBasedOn(boolean basedOn)` This option specifies whether new Versions are based on the old Versions (true), or does this definition completely describe the new Version (false).
`void` | `setOwnerBasedOnPublicObjectOption(boolean value)` This option specifies whether the new VersionDescription should have the same owner as the PublicObject it is refering to.
`void` | `setPublicObject(PublicObject po)` Deprecated. CM SDK 10gR2: use setPublicObjectValue()
`void` | `setPublicObjectDefinition(PublicObjectDefinition def)` Set the Public Object definition for the new Version.
`void` | `setPublicObjectValue(AttributeValue value)` Set the Version Description definition to reference an exiting PublicObject.
`void` | `setVersionSeriesDefinition(VersionSeriesDefinition def)` Set the Version Series definition for the new PublicObject.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionDescriptionDefinition

    public VersionDescriptionDefinition(LibrarySessionInterface session)
                                 throws IfsException

  Constructs a Definition explicitly capturing the session. The initial ClassObject will be VersionDescription.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### VersionDescriptionDefinition

    public VersionDescriptionDefinition(LibrarySessionInterface session,
                                        java.lang.String className)
                                 throws IfsException

  Constructs a Definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setNewVersionBasedOn

    public void setNewVersionBasedOn(boolean basedOn)
                              throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  This option specifies whether new Versions are based on the old Versions (true), or does this definition completely describe the new Version (false).

  Parameters:
    `basedOn` - true if new version should be based on previous version, false otherwise.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getNewVersionBasedOn

    public boolean getNewVersionBasedOn()
                                 throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Returns the value of the NewVersionBasedOn flag.

  Returns:
    the value of the NewVersionBasedOn flag.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setOwnerBasedOnPublicObjectOption

    public void setOwnerBasedOnPublicObjectOption(boolean value)
                                           throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  This option specifies whether the new VersionDescription should have the same owner as the PublicObject it is refering to. If false, VersionDescription will have the owner that created it. This option is used only upon creating a new family. Upon a regular check-in, this option is a no-op.

  Parameters:
    `value` - if true, owner is based on PublicObject.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getOwnerBasedOnPublicObjectOption

    public boolean getOwnerBasedOnPublicObjectOption()
                                              throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  This returns true if the Owner of this VersionDescription will be same as owner of PublicObject that is associated with it.

  Returns:
    true if the owner is based on PublicObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setVersionSeriesDefinition

    public void setVersionSeriesDefinition(VersionSeriesDefinition def)
                                    throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Set the Version Series definition for the new PublicObject. This option is only valid when the performed operation results in the creation of a new version series (e.g. if LibrarySession.createPublicObject() is called). For all other operations (e.g., VersionSeries.newRevision()) it is ignored. If you do not specify a VersionSeriesDefinition, a default one is created for you (when appropriate).

  Parameters:
    `def` - the Version Series definition for the new object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getVersionSeriesDefinition

    public VersionSeriesDefinition getVersionSeriesDefinition()
                                                       throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Returns the VersionSeries definition, or null if none specified.

  Returns:
    the VersionSeries definition, or null if none specified.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPublicObjectDefinition

    public void setPublicObjectDefinition(PublicObjectDefinition def)
                                   throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Set the Public Object definition for the new Version. A new PublicObject will be created from the PublicObjectDefinition

  Parameters:
    `def` - the PublicObject definition for the new versioned object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPublicObjectDefinition

    public PublicObjectDefinition getPublicObjectDefinition()
                                                     throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Get the PublicObject definition for the new VersionDescription. Return null if no value was specified.

  Returns:
    PublicObject definition for the new object.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPublicObject

    public void setPublicObject(PublicObject po)
                         throws IfsException

  Deprecated. CM SDK 10gR2: use setPublicObjectValue()

  Description copied from class: `VersionDescriptionDefinition`
  Set the Version Description definition to reference an exiting PublicObject. Having two version descriptions reference the same PublicObject is probably more typical in a Branching operation rather than a simple linear versioning operation.

  Parameters:
    `po` - the existing PublicObject which this new version description will reference.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setPublicObjectValue

    public void setPublicObjectValue(AttributeValue value)
                              throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Set the Version Description definition to reference an exiting PublicObject. Having two version descriptions reference the same PublicObject is probably more typical in a Branching operation rather than a simple linear versioning operation.

  Parameters:
    `value` - the existing PublicObject which this new version description will reference.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPublicObject

    public PublicObject getPublicObject()
                                 throws IfsException

  Deprecated. CM SDK 10gR2: use getPublicObjectValue()

  Description copied from class: `VersionDescriptionDefinition`
  Returns the previously specified PublicObject, or null if no value was specified.

  Returns:
    the previously specified PublicObject, or null if no value was specified.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPublicObjectValue

    public AttributeValue getPublicObjectValue()
                                        throws IfsException

  Description copied from class: `VersionDescriptionDefinition`
  Returns the previously specified PublicObject, or null if no value was specified.

  Returns:
    the previously specified PublicObject, or null if no value was specified.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD